<link rel="import" href="../../bower_components/polymer/polymer.html">
<link rel="import" href="../shared-styles.html">

<dom-module id="tdd-tdc">
  <template>
    <style include="shared-styles">
      :host {
        display: block;
        margin: 1em auto;
        padding: 10px;
        background-color: #000;
        height: 368px;
        @apply(--shadow-elevation-4dp);
        border-radius: 6px;
        width: 282px;
        height: 158px;
      }
      
      #tdd-number, #tdd-name {
        font-family: 'OCR A Std';
        font-weight: normal;
        font-style: normal;
        color: var(--dark-theme-text-color);
      }
      
      #tdd-number, #tdd-name, img {
        position: absolute;
      }
      
      #tdd-name, img {
        bottom: 0;
      }

      #tdd-name {
        margin-bottom: .35em;
      }

      .card-info {
        width: 260px;
        margin: 0 auto;
        height: 100%;
        position: relative;
      }
      
      img {
        max-width: 56px;
        right: 0;
        margin: 1em 0;
      }
    </style>
    <div class="card-info">
      <h3 id="tdd-number">XXXX XXXX XXXX <span>1234</span></h3>
      <h3 id="tdd-name">Uni-k</h3>
      <img src="../../images/Visa_Inc._logo.svg" alt="Visa Trademark Logo">
    </div>
    
  </template>

  <script>
    Polymer({
      is: 'tdd-tdc'
    });
  </script>
</dom-module>
